> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Create Folder > Create a new folder within a parent folder ## OpenAPI ````json POST /api/v1/Authoring/projects/{projectId}/folders { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/folders": { "post": { "tags": [ "Authoring" ], "summary": "Create Folder", "description": "Create a new folder within a parent folder", "parameters": [ { "name": "projectId", "in": "path", "description": "Project to add the folder to", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the new folder", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Folder" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Folder" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Folder" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Folder" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.FolderResult" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.Folder": { "title": "Folder", "required": [ "name", "parentFolderId" ], "type": "object", "properties": { "parentFolderId": { "type": "integer", "description": "The folder ID of the parent folder that the new folder should be added to", "format": "int32" }, "name": { "minLength": 1, "type": "string", "description": "The new folder name" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.FolderResult": { "title": "FolderResult", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the added folder", "format": "int32" }, "name": { "type": "string", "description": "The name of the added folder", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````